import request from '@/utils/system/request'

// 查询App用户列表
export function getUserList(data) {
    return request({
        url: '/agent-service/appUser/getUserList',
        method: 'post',
        data
    })
}

// 查询用户广告数据统计列表
export function getStaticList(params) {
    return request({
        url: '/agent-service/appUser/staticList',
        method: 'get',
        params
    })
}

// 平台或渠道封禁用户
export function riskBannedUser(data) {
    return request({
        url: '/agent-service/risk/bannedUser',
        method: 'post',
        data
    })
}

// 锁定用户禁止用户登录
export function riskLockUser(params) {
    return request({
        url: '/agent-service/risk/lockUser',
        method: 'get',
        params
    })
}

// 查询渠道启用的应用列表
export function getEnabledList(params) {
    return request({
        url: '/agent-service/app/getEnabledList',
        method: 'get',
        params
    })
}

// 查询用户ecpm数据
export function appUserEcpm(data) {
    return request({
        url: '/agent-service/appUser/ecpm',
        method: 'post',
        data
    })
}

// 根据时间获取收益
export function getRevenueByTime(data) {
    return request({
        url: '/agent-service/appUser/getRevenueByTime',
        method: 'post',
        data,
        timeout: 60 * 1000
    })
}

// 批量审核用户
export function batchAudit(data) {
    return request({
        url: '/agent-service/appUser/batchAudit',
        method: 'post',
        data
    })
}

// 批量封禁用户
export function batchBanned(data) {
    return request({
        url: '/agent-service/risk/batchBanned',
        method: 'post',
        data
    })
}

// 批量解封用户
export function batchDeblock(data) {
    return request({
        url: '/agent-service/risk/batchDeblock',
        method: 'post',
        data
    })
}

// 获取IOS渠道列表
export function appUserGetDitchList(data) {
    return request({
        url: '/agent-service/appUser/getDitchList',
        method: 'post',
        data
    })
}

// 获取IOS用户列表
export function getUserForIosList(data) {
    return request({
        url: '/agent-service/appUser/getUserForIosList',
        method: 'post',
        data
    })
}

// 批量封禁IP
export function batchBannedIps(data) {
    return request({
        url: '/agent-service/risk/batchBannedIps',
        method: 'post',
        data
    })
}

